Public Member Functions | Data Fields

# DisasterVehicle Struct Reference

Disasters, like submarines, skyrangers and their shadows, belong to this class. More...

`#include <vehicle_base.h>`

Inheritance diagram for DisasterVehicle:

## Public Member Functions
| DisasterVehicle ()
| We don't want GCC to zero our struct! It already is zeroed and has an index!
virtual | ~DisasterVehicle ()
| We want to 'destruct' the right class.
void | UpdateDeltaXY (Direction direction)
| Updates the x and y offsets and the size of the sprite used for this vehicle.
bool | Tick ()
| Calls the tick handler of the vehicle.
## Data Fields
SpriteID | image_override
| Override for the default disaster vehicle sprite.
VehicleID | big_ufo_destroyer_target
| The big UFO that this destroyer is supposed to bomb.

## Detailed Description

Disasters, like submarines, skyrangers and their shadows, belong to this class.

Definition at line 1061 of file vehicle_base.h.

## Constructor & Destructor Documentation

virtual DisasterVehicle::~DisasterVehicle | ( |  | ) | `[inline, virtual]`

We want to 'destruct' the right class.

Definition at line 1068 of file vehicle_base.h.

## Member Function Documentation

bool DisasterVehicle::Tick | ( |  | ) | `[virtual]`

Calls the tick handler of the vehicle.

Returns:
  is this vehicle still valid?

Reimplemented from Vehicle.

Definition at line 673 of file disaster_cmd.cpp.

References Vehicle::subtype.

void DisasterVehicle::UpdateDeltaXY | ( | Direction | direction | ) | `[virtual]`

Updates the x and y offsets and the size of the sprite used for this vehicle.

Parameters:

  | direction | the direction the vehicle is facing

Reimplemented from Vehicle.

Definition at line 981 of file disaster_cmd.cpp.

References Vehicle::x_extent, Vehicle::x_offs, Vehicle::y_extent, Vehicle::y_offs, and Vehicle::z_extent.

Referenced by InitializeDisasterVehicle().

The documentation for this struct was generated from the following files:

- src/vehicle_base.h
- src/disaster_cmd.cpp